diff --git a/openbis_all/source/bash/servers-shutdown.sh b/openbis_all/source/bash/servers-shutdown.sh
index baba4fc49c60ebb2d97115d7503997ce7dc30cfe..2d7268f6aca20688e3bf27b7634e5cfa73b9d209 100755
--- a/openbis_all/source/bash/servers-shutdown.sh
+++ b/openbis_all/source/bash/servers-shutdown.sh
@@ -32,8 +32,12 @@ if [ ! -d "$DSS" ]; then
     exit 1
 fi
 
+# Shutdown DSS and AS, ignoring exit codes != 0
+set +o errexit
 "$DSS/datastore_server.sh" stop
 "$AS/bin/shutdown.sh"
+set -o errexit
+
 if [ ! -f "$LOG_FILE" ]; then
     exit
 fi